## container_of

container_of

## Functions

#define | container_of()
char * | container_of_or_null_ ()
#define | container_of_or_null()
#define | container_off()
#define | container_of_var()
#define | container_off_var()

## Description

## Functions

### container_of()

    #define             container_of(member_ptr, containing_type, member)

### container_of_or_null_ ()

    char *
    container_of_or_null_ (void *member_ptr,
                           size_t offset);

### container_of_or_null()

    #define             container_of_or_null(member_ptr, containing_type, member)

### container_off()

    #define             container_off(containing_type, member)

### container_of_var()

    #define             container_of_var(member_ptr, container_var, member)

### container_off_var()

    #define             container_off_var(var, member)